#!/bin/bash
case "$1" in
	idle)
		awk '/^cpu / {idle=$5; total=idle+$2+$3+$4+$6+$7+$8; printf "%d\n", (idle*100)/total}' /proc/stat
		;;
	load1)
		awk '{print $1}' /proc/loadavg
		;;
	load5)
		awk '{print $2}' /proc/loadavg
		;;
	usage)
		echo "100 - $(top -bn1 | grep "Cpu(s)" | awk '{print $8}' | cut -d. -f1)" |bc
		;;
	*)
		echo "Usage: $0 {idle|load1|load5|usage}"
		exit 1
		;;
esac
