#!/bin/bash
case "$1" in
	usage)
		df -h | grep "$2" | awk '{print $5}' | tr -d '%'
		;;
	iops_read)
		iostat -d -k | grep "$2" | awk '{print $4}'
		;;
	iops_write)
		iostat -d -k | grep "$2" | awk '{print $5}'
		;;
	*)
		echo "Usage: $0 {usage <mount_point>|iops_read <device>|iops_write <device>}"
		;;
esac
