#!/bin/bash
process_name="$1"
metric="$2"
case "$metric" in
	count)
		ps aux | grep -v grep | grep -c "$process_name"
		;;
	cpu)
		ps aux | grep -v grep | grep "$process_name" | awk '{sum += $3} END {print sum}'
		;;
	mem)
		ps aux | grep -v grep | grep "$process_name" | awk '{sum += $4} END {print sum}'
		;;
	*)
		echo "Usage: $0 <process_name> {count|cpu|mem}"
		;;
esac
